import 'package:flutter/material.dart';

/// Available Yaru colors.
class YaruColors {
  YaruColors._();

  /// Ubuntu Orange
  static const Color orange = Color(0xFFE95420);

  /// Warm Grey
  ///
  /// For balance. The addition of warm grey softens the combination of orange
  /// and aubergine and provides a bridge between the two.
  ///
  /// Warm grey can be used for; backgrounds, graphics, dot patterns, charts and
  /// diagrams. It can also be used for large size text.
  static const Color warmGrey = Color(0xFFAEA79F);

  /// Cool Grey
  ///
  /// For typography, particularly body copy. Black can be quite harsh in
  /// combination with aubergine, but grey delivers more balance while still
  /// being legible.
  ///
  /// Cool grey can also be used within charts and diagrams.
  static const Color coolGrey = Color(0xFF333333);

  /// Text Grey
  ///
  /// Text grey is used for small size headings, sub-headings and body copy text
  /// only.
  static const Color textGrey = Color(0xFF111111);

  /// Error
  static const Color error = Color(0xFFff0000);

  /// Warning
  static const Color warning = Color(0xFFf99b11);

  /// Success
  static const Color success = Color(0xFF0e8420);

  /// Porcelain
  static const Color porcelain = Color(0xFFFAFAFA);

  /// Inkstone
  static const Color inkstone = Color(0xFF3B3B3B);

  /// Jet
  static const Color jet = Color(0xFF2B2B2B);

  /// Light title bar
  static const Color titleBarLight = Color(0xFFEBEBEB);

  /// Dark title bar
  static const Color titleBarDark = Color(0xFF303030);

  /// Olive
  static const Color olive = Color(0xFF4B8501);

  /// Bark
  static const Color bark = Color(0xFF787859);

  /// Sage
  static const Color sage = Color(0xFF657B69);

  /// Prussian Green
  static const Color prussianGreen = Color(0xFF308280);

  /// Viridian
  static const Color viridian = Color(0xFF03875B);

  /// Purple
  static const Color purple = Color(0xFF7764D8);

  /// Red
  static const Color red = Color(0xFFDA3450);

  /// Blue
  static const Color blue = Color(0xFF0073E5);

  /// Magenta
  static const Color magenta = Color(0xFFB34CB3);

  /// Kubuntu Blue
  static const Color kubuntuBlue = Color(0xFF0079C1);

  /// Lubuntu Blue
  static const Color lubuntuBlue = Color(0xFF0068C8);

  /// Ubuntu Budgie Blue
  static const Color ubuntuBudgieBlue = Color(0xFF2196F3);

  /// Ubuntu Butterfly Pink
  static const Color ubuntuButterflyPink = Color(0xFFFF135B);

  /// Ubuntu Cinnamon Brown
  static const Color ubuntuCinnamonBrown = Color(0xFFDD682A);

  /// Ubuntu MATE Green
  static const Color ubuntuMateGreen = Color(0xFF73AF59);

  /// Ubuntu Studio Blue
  static const Color ubuntuStudioBlue = Color(0xFF009BF9);

  /// Ubuntu Unity Purple
  static const Color ubuntuUnityPurple = Color(0xFF9005D5);

  /// Xubuntu Blue
  static const Color xubuntuBlue = Color(0xFF0044AA);
}
